## plink1.9 1.90~b3b

=== Makefile ===
# General-purpose Makefile for PLINK 1.90
#
# Compilation options:
#   Do not link to LAPACK                    NO_LAPACK

# Leave blank after "=" to disable; put "= 1" to enable
# (when enabled, "#define NOLAPACK" must be uncommented in plink_common.h)
NO_LAPACK =


# should autodetect system
SYS = UNIX
ifdef SystemRoot
  SYS = WIN
else
  UNAME := $(shell uname)
  ifeq ($(UNAME), Darwin)
    SYS = MAC
  endif
endif

CFLAGS=-Wall -O2
BLASFLAGS=-L/usr/lib64/atlas -llapack -lcblas -latlas
LINKFLAGS=-lm -lpthread -ldl
ZLIB=zlib-1.2.8/libz.so.1.2.8

ifeq ($(SYS), MAC)
  GCC_GTEQ_43 := $(shell expr `g++ -dumpversion | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 40300)
  ifeq "$(GCC_GTEQ_43)" "1"
    CFLAGS=-Wall -O2 -flax-vector-conversions
  endif
  BLASFLAGS=-framework Accelerate
  LINKFLAGS=-ldl
  ZLIB=zlib-1.2.8/libz.1.2.8.dylib
endif

ifeq ($(SYS), WIN)
# Note that, unlike the Linux and Mac build processes, this STATICALLY links
# LAPACK, since we have not gotten around to trying dynamically-linked LAPACK
# on Windows.
# If you don't already have LAPACK built, you'll probably want to turn on
# NO_LAPACK.
  BLASFLAGS=-L. lapack/liblapack.a -L. lapack/librefblas.a
  LINKFLAGS=-lm -static-libgcc
  ZLIB=zlib-1.2.8/libz.a
endif

ifdef NO_LAPACK
  BLASFLAGS=
endif

SRC = plink.c plink_assoc.c plink_calc.c plink_cluster.c plink_cnv.c plink_common.c plink_data.c plink_dosage.c plink_family.c plink_filter.c plink_glm.c plink_help.c plink_homozyg.c plink_lasso.c plink_ld.c plink_matrix.c plink_misc.c plink_rserve.c plink_set.c plink_stats.c SFMT.c dcdflib.c pigz.c yarn.c Rconnection.cc

# In the event that you are still concurrently using PLINK 1.07, we suggest
# renaming that binary to "plink107" and "plink1".  (Previously,
# "plink1"/"plink2" was suggested here; that also works for now, but it may
# lead to minor problems when PLINK 2.0 is released.)

plink: $(SRC)
	g++ $(CFLAGS) $(SRC) -o plink $(BLASFLAGS) $(LINKFLAGS) -L. $(ZLIB)

plinkw: $(SRC)
	g++ $(CFLAGS) $(SRC) -c
	gfortran -O2 $(OBJ) -o plink -Wl,-Bstatic $(BLASFLAGS) $(LINKFLAGS) -L. $(ZLIB)

## plink1.9 1.90~b3b-150117

=== debian/changelog ===
plink1.9 (1.90~b3b-150117-1) unstable; urgency=low

  * New upstream release, rewrite of plink (Closes: #771154)
  * Import debian/* from plink 1.07-3
  * Updated debian/* for plink1.9

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 27 Nov 2014 07:54:15 +0100

plink (1.07-3) unstable; urgency=low

  * debian/patches/gcc-4.7.patch: previous patch was incomplete
    because the same problem occured in more files. Now really
    Closes: #667325

 -- Andreas Tille <tille@debian.org>  Mon, 23 Apr 2012 07:23:07 +0000

plink (1.07-2) unstable; urgency=low

  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
     - Removed quilt from Build-Depends
  * debian/upstream: Added citation information
  * debian/source/format: 3.0 (quilt)
  * debian/get-orig-source: Better chances to get a unique upstream
    tarball after repackaging
  * debian/copyright: 
    - Rewritten to match DEP5 and verified using
       cme fix dpkg-copyright
    - Fix FSF address
  * debian/rules: Rewritten to use short dh
  * debian/patches/gcc-4.7.patch: Fix nested declaration
    Thanks for the hints on debian-mentors list to
    Rodolfo García Peñas <kix@kix.es>, Dmitry Nezhevenko <dion@inhex.net>,
    Fernando Lemos <fernandotcl@gmail.com
    Closes: 667325
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Apr 2012 18:55:34 +0200

plink (1.07-1) unstable; urgency=low

  * New upstream version
  * Removed debian/patches/20_plink-1.06-gcc4.4.patch because it
    is applied upstream
  * Standards-Version: 3.8.3 (no changes needed)
  * Debhelper 7
  * Build-Depends: zlib1g-dev

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2009 13:35:02 +0200

plink (1.06-4) unstable; urgency=low

  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS (Policy § 4.9.1).
    - Set FORCE_DYNAMIC=1 instead of patching the Makefile
      (deleted debian/patches/dynamic.patch).
  * debian/control:
    - Added myself to the uploaders.
    - Incremented Standards-Version to reflect conformance with
      Policy 3.8.2 (no changes needed).
  * documented in README.source how to find help with quilt.

 -- Charles Plessy <plessy@debian.org>  Wed, 15 Jul 2009 08:08:15 +0900

plink (1.06-3) unstable; urgency=low

  * Now really applying the patch to fix 64bit problems
    which really
    Closes: #528659

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2009 08:11:21 +0200

plink (1.06-2) unstable; urgency=low

  * Fallback to endian.h if all else fails on 64bit machines
    (Thanks to Peter Green <plugwash@p10link.net> for the patch)
    Closes: #528659

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2009 21:19:32 +0200

plink (1.06-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source
  * Standards-Version: 3.8.1 (no changes needed)
  * Moved plink executable to /usr/lib/plink and symlinked
    /usr/bin/p-link to this location; renamed manpage accordingly
    Added explicit hint in README.Debian how to proceed if you
    need the original name.
    Closes: #503367
  * debian/patches/20_plink-1.06-gcc4.4.patch: Patch to compile
    using gcc 4.4
  * debian/rules: Make sure example data files are not executable
  * debian/patches/dynamic.patch: do not link statically

 -- Andreas Tille <tille@debian.org>  Mon, 04 May 2009 10:17:04 +0200

plink (1.03p1-1) unstable; urgency=low

  * Initial release (Closes: #490832).

 -- Steffen Moeller <moeller@debian.org>  Sun, 24 Aug 2008 17:10:55 +0200

=== debian/control ===
Source: plink1.9
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
               help2man,
               libatlas-base-dev,
               liblapack-dev,
               zlib1g-dev
Testsuite: autopkgtest
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/plink1.9.git
Vcs-Git: git://anonscm.debian.org/debian-med/plink1.9.git
Homepage: https://www.cog-genomics.org/plink2/

Package: plink1.9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: whole-genome association analysis toolset
 plink expects as input the data from SNP (single nucleotide polymorphism)
 chips of many individuals and their phenotypical description of a disease.
 It finds associations of single or pairs of DNA variations with a phenotype
 and can retrieve SNP annotation from an online source.
 .
 SNPs can evaluated individually or as pairs for their association with the
 disease phenotypes. The joint investigation of copy number variations is
 supported. A variety of statistical tests have been implemented.
 .
 plink1.9 is a comprehensive update of plink with new algorithms and new
 methods, faster and less memory consumer than the first plink.
 .
 Please note: The executable was renamed to plink1.9
 because of a name clash.  Please read more about this
 in /usr/share/doc/README.Debian.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux plink1.9 package
# Copyright 2015 by Dylan Aïssi <bob.dybian@gmail.com>

CFLAGS := -Wall
# Tip for activate hardening without patching the makefile
CFLAGS += $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink1.9

override_dh_auto_build:
	$(MAKE) CFLAGS='$(CFLAGS)'

override_dh_install:
	# Rename binary from plink to plink1.9 to avoid name conflict
	mv plink plink1.9
	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1
	dh_install

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## plink1.9 1.90~b3.31

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
   BLASFLAGS=
 endif
 
-SRC = plink.c plink_assoc.c plink_calc.c plink_cluster.c plink_cnv.c plink_common.c plink_data.c plink_dosage.c plink_family.c plink_filter.c plink_glm.c plink_help.c plink_homozyg.c plink_lasso.c plink_ld.c plink_matrix.c plink_misc.c plink_rserve.c plink_set.c plink_stats.c SFMT.c dcdflib.c pigz.c yarn.c Rconnection.cc
+SRC = plink.c plink_assoc.c plink_calc.c plink_cluster.c plink_cnv.c plink_common.c plink_data.c plink_dosage.c plink_family.c plink_filter.c plink_glm.c plink_help.c plink_homozyg.c plink_lasso.c plink_ld.c plink_matrix.c plink_misc.c plink_perm.c plink_rserve.c plink_set.c plink_stats.c SFMT.c dcdflib.c pigz.c yarn.c Rconnection.cc hfile.c bgzf.c
 
 # In the event that you are still concurrently using PLINK 1.07, we suggest
 # renaming that binary to "plink107" and "plink1".  (Previously,

## plink1.9 1.90~b3.31-160203

=== debian/changelog ===
plink1.9 (1.90~b3.31-160203-1) unstable; urgency=low

  * New upstream release (Closes: #811910)
  * debian/control:
     - Standards-Version: 3.9.7 (no changes needed)
     - Fixed lintian vcs-field-uses-insecure-uri

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 04 Feb 2016 22:12:20 +0100

plink1.9 (1.90~b3.28-151216-1) unstable; urgency=low

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 18 Dec 2015 20:37:26 +0100

plink1.9 (1.90~b3w-150903-1) unstable; urgency=low

  * New upstream release
  * debian/upstream/metadata: Update reference paper
  * debian/control: Disable build for unsupported architectures,
     thanks to Gert Wollny (Closes: #799471)
  * debian/copyright: Update

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 19 Sep 2015 15:44:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 9),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
 Testsuite: autopkgtest
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/plink1.9.git
-Vcs-Git: git://anonscm.debian.org/debian-med/plink1.9.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/git/debian-med/plink1.9.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/plink1.9.git
 Homepage: https://www.cog-genomics.org/plink2/
 
 Package: plink1.9
-Architecture: any
+Architecture: any-amd64 any-i386 armel armhf mipsel
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)

=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,26 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f plink1.9
+	rm -f plink1.9.1
 
 override_dh_auto_build:
 	$(MAKE) CFLAGS='$(CFLAGS)'
-
-override_dh_install:
 	# Rename binary from plink to plink1.9 to avoid name conflict
 	mv plink plink1.9
 	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1
+
+override_dh_install:
+	mkdir -p $(CURDIR)/debian/plink1.9/usr/lib/debian-med/bin/ && \
+		mv plink1.9 $(CURDIR)/debian/plink1.9/usr/lib/debian-med/bin/
 	dh_install
+
+override_dh_installman:
+	dh_installman plink1.9.1
+
+override_dh_link:
+	dh_link usr/lib/debian-med/bin/plink1.9 usr/bin/plink1.9
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compress xz
+	# mv plink1.9_160203.orig.tar.xz plink1.9_1.90~b3.31-160203.orig.tar.xz
+

=== debian/watch ===
version=3
opts=dversionmangle=s/(\d\S*)\-// \
 https://www.cog-genomics.org/plink2/dev /static/bin/plink(.*)/plink_src\.zip

## plink1.9 1.90~b3.40

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 SRC = plink.c plink_assoc.c plink_calc.c plink_cluster.c plink_cnv.c plink_common.c plink_data.c plink_dosage.c plink_family.c plink_filter.c plink_glm.c plink_help.c plink_homozyg.c plink_lasso.c plink_ld.c plink_matrix.c plink_misc.c plink_perm.c plink_rserve.c plink_set.c plink_stats.c SFMT.c dcdflib.c pigz.c yarn.c Rconnection.cc hfile.c bgzf.c
 
 # In the event that you are still concurrently using PLINK 1.07, we suggest
-# renaming that binary to "plink107" and "plink1".  (Previously,
+# renaming that binary to "plink107", and this one to "plink1".  (Previously,
 # "plink1"/"plink2" was suggested here; that also works for now, but it may
 # lead to minor problems when PLINK 2.0 is released.)

## plink1.9 1.90~b3.40-160816

=== debian/changelog ===
plink1.9 (1.90~b3.40-160816-2) unstable; urgency=medium

  * Add an upstream patch to fix FTBFS for non-amd64 builds (Closes: #811910)
  * More simple rules file.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 30 Aug 2016 22:11:27 +0200

plink1.9 (1.90~b3.40-160816-1) unstable; urgency=medium

  * New upstream release.
  * Set all hardening options.
  * Update uscan options.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 24 Aug 2016 23:32:15 +0200

plink1.9 (1.90~b3.36-160416-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.8 (no changes needed)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 26 Apr 2016 22:28:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblapack-dev,
                zlib1g-dev
 Testsuite: autopkgtest
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/debian-med/plink1.9.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/plink1.9.git
 Homepage: https://www.cog-genomics.org/plink2/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS := -Wall
# Tip for activate hardening without patching the makefile
CFLAGS += $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink1.9
	rm -f plink1.9.1

override_dh_auto_build:
	$(MAKE) CFLAGS='$(CFLAGS)'
	mv plink plink1.9
	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1

override_dh_installman:
	dh_installman plink1.9.1

=== debian/watch ===
version=3
opts="dversionmangle=s/(\d\S*)\-//,repack,compression=xz" \
 https://www.cog-genomics.org/plink2/dev /static/bin/plink(.*)/plink_src\.zip

## plink1.9 1.90~b3.45

=== Makefile ===
# General-purpose Makefile for PLINK 1.90
#
# Compilation options:
#   Do not link to LAPACK                    NO_LAPACK

# Leave blank after "=" to disable; put "= 1" to enable
# (when enabled, "#define NOLAPACK" must be uncommented in plink_common.h)
NO_LAPACK =

# Variable that allows additional linker flags (e.g., "-L/path/to/libs") to be
# passed into the linker; to use this, invoke 'make LINKFLAGS_EXTRA="<opts>"'.
LINKFLAGS_EXTRA =

.PHONY: clean

# should autodetect system
SYS = UNIX
ifdef SystemRoot
  SYS = WIN
else
  UNAME := $(shell uname)
  ifeq ($(UNAME), Darwin)
    SYS = MAC
  endif
endif

CFLAGS=-Wall -O2
BLASFLAGS=-L/usr/lib64/atlas -llapack -lcblas -latlas
LINKFLAGS=-lm -lpthread -ldl
ZLIB=zlib-1.2.10/libz.so.1.2.10

ifeq ($(SYS), MAC)
  GCC_GTEQ_43 := $(shell expr `g++ -dumpversion | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 40300)
  ifeq "$(GCC_GTEQ_43)" "1"
    CFLAGS=-Wall -O2 -flax-vector-conversions
  endif
  BLASFLAGS=-framework Accelerate
  LINKFLAGS=-ldl
  ZLIB=zlib-1.2.10/libz.1.2.10.dylib
endif

ifeq ($(SYS), WIN)
# Note that, unlike the Linux and Mac build processes, this STATICALLY links
# LAPACK, since we have not gotten around to trying dynamically-linked LAPACK
# on Windows.
# If you don't already have LAPACK built, you'll probably want to turn on
# NO_LAPACK.
  BLASFLAGS=-L. lapack/liblapack.a -L. lapack/librefblas.a
  LINKFLAGS=-lm -static-libgcc
  ZLIB=zlib-1.2.10/libz.a
endif

ifdef NO_LAPACK
  BLASFLAGS=
endif

OBJS = plink.o plink_assoc.o plink_calc.o plink_cluster.o plink_cnv.o plink_common.o plink_data.o plink_dosage.o plink_family.o plink_filter.o plink_glm.o plink_help.o plink_homozyg.o plink_lasso.o plink_ld.o plink_matrix.o plink_misc.o plink_perm.o plink_rserve.o plink_set.o plink_stats.o SFMT.o dcdflib.o pigz.o yarn.o Rconnection.o hfile.o bgzf.o

# In the event that you are still concurrently using PLINK 1.07, we suggest
# renaming that binary to "plink107", and this one to "plink1".  (Previously,
# "plink1"/"plink2" was suggested here; that also works for now, but it may
# lead to minor problems when PLINK 2.0 is released.)

plink: $(OBJS)
	g++ $^ $(LINKFLAGS_EXTRA) $(BLASFLAGS) $(LINKFLAGS) -L. $(ZLIB) -o $@

plinkw: $(OBJS)
	gfortran -O2 $^ $(LINKFLAGS_EXTRA) -Wl,-Bstatic $(BLASFLAGS) $(LINKFLAGS) -L. $(ZLIB) -o $@

clean:
	rm -f $(OBJS) plink plinkw


# Pattern-based rules for compiling object (.o) files; basically identical to
# GNU make's built-in rules, except we explicitly use "g++" instead of $(CC).

%.o: %.c
	g++ -c $(CFLAGS) $< -o $@

%.o: %.cc
	g++ -x c++ -c $(CFLAGS) $< -o $@

## plink1.9 1.90~b3.45-170113

=== debian/changelog ===
plink1.9 (1.90~b3.45-170113-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.
  * Update d/copyright: 2017.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 16 Jan 2017 23:18:12 +0100

plink1.9 (1.90~b3.44-161117-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper 10.
  * Bump watch file v4.
  * Update patch to configure makefile for dynamic linking and hardening.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 22 Nov 2016 23:08:55 +0100

plink1.9 (1.90~b3.43-161010-1) unstable; urgency=medium

  * New upstream release.
  * Update license of plink1.9 from GPL-3 to GPL-3+.
  * Install an upstream changelog.
  * Remove 03_Fix_FTBFS_GCC6.patch, fixed upstream.
  * Remove d/NEWS.Debian, redundant with d/README.Debian.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 24 Oct 2016 22:47:36 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink1.9
	rm -f plink1.9.1

override_dh_auto_build:
	dh_auto_build
	mv plink plink1.9
	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1

override_dh_installman:
	dh_installman plink1.9.1

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

=== debian/watch ===
version=4
opts="dversionmangle=s/(\d\S*)\-//,repack,compression=xz" \
 https://www.cog-genomics.org/plink2/dev /static/bin/plink(.*)/plink_src\.zip

## plink1.9 1.90~b4.4

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 CFLAGS=-Wall -O2
 BLASFLAGS=-L/usr/lib64/atlas -llapack -lcblas -latlas
 LINKFLAGS=-lm -lpthread -ldl
-ZLIB=zlib-1.2.10/libz.so.1.2.10
+ZLIB=../zlib-1.2.11/libz.so.1.2.11
 
 ifeq ($(SYS), MAC)
   GCC_GTEQ_43 := $(shell expr `g++ -dumpversion | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 40300)
@@ -36,7 +36,7 @@
   endif
   BLASFLAGS=-framework Accelerate
   LINKFLAGS=-ldl
-  ZLIB=zlib-1.2.10/libz.1.2.10.dylib
+  ZLIB=../zlib-1.2.11/libz.1.2.11.dylib
 endif
 
 ifeq ($(SYS), WIN)
@@ -47,7 +47,7 @@
 # NO_LAPACK.
   BLASFLAGS=-L. lapack/liblapack.a -L. lapack/librefblas.a
   LINKFLAGS=-lm -static-libgcc
-  ZLIB=zlib-1.2.10/libz.a
+  ZLIB=../zlib-1.2.11/libz.a
 endif
 
 ifdef NO_LAPACK
@@ -57,9 +57,7 @@
 OBJS = plink.o plink_assoc.o plink_calc.o plink_cluster.o plink_cnv.o plink_common.o plink_data.o plink_dosage.o plink_family.o plink_filter.o plink_glm.o plink_help.o plink_homozyg.o plink_lasso.o plink_ld.o plink_matrix.o plink_misc.o plink_perm.o plink_rserve.o plink_set.o plink_stats.o SFMT.o dcdflib.o pigz.o yarn.o Rconnection.o hfile.o bgzf.o
 
 # In the event that you are still concurrently using PLINK 1.07, we suggest
-# renaming that binary to "plink107", and this one to "plink1".  (Previously,
-# "plink1"/"plink2" was suggested here; that also works for now, but it may
-# lead to minor problems when PLINK 2.0 is released.)
+# renaming that binary to "plink107", and this one to "plink1".
 
 plink: $(OBJS)
 	g++ $^ $(LINKFLAGS_EXTRA) $(BLASFLAGS) $(LINKFLAGS) -L. $(ZLIB) -o $@

## plink1.9 1.90~b4.4-170531

=== debian/changelog ===
plink1.9 (1.90~b4.4-170531-2) unstable; urgency=medium

  * Upload to unstable, Stretch freeze is over.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 25 Jun 2017 00:19:46 +0200

plink1.9 (1.90~b4.4-170531-1) experimental; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 06 Jun 2017 16:08:49 +0200

plink1.9 (1.90~b4.1-170330-1) experimental; urgency=medium

  * New upstream release.
  * Update upstream website.
  * Remove 01.Makefile_config.patch & 02_Activate_Stable_Build.patch,
      inject flags using d/rules instead.
  * Add 01.Fix_Makefile.patch to take into account the injected flags.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 17 Apr 2017 15:11:50 +0200

plink1.9 (1.90~b3.46-170213-1) experimental; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 22 Feb 2017 23:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
@@ -12,7 +12,7 @@
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/git/debian-med/plink1.9.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/plink1.9.git
-Homepage: https://www.cog-genomics.org/plink2/
+Homepage: https://www.cog-genomics.org/plink/1.9/
 
 Package: plink1.9
 Architecture: any-amd64 any-i386 armel armhf mipsel
@@ -32,4 +32,4 @@
  .
  Please note: The executable was renamed to plink1.9
  because of a name clash.  Please read more about this
- in /usr/share/doc/README.Debian.
+ in /usr/share/doc/plink1.9/README.Debian.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -DSTABLE_BUILD -DDYNAMIC_ZLIB `dpkg-buildflags --get CXXFLAGS` `dpkg-buildflags --get CPPFLAGS`
+export LINKFLAGS_EXTRA += `dpkg-buildflags --get LDFLAGS`
+export ZLIB += -lz
 
 %:
 	dh $@
@@ -19,4 +22,4 @@
 	dh_installman plink1.9.1
 
 override_dh_installchangelogs:
-	dh_installchangelogs debian/upstream.changelog
+	dh_installchangelogs debian/upstream.docs/upstream.changelog

## plink1.9 1.90~b5.2

=== Makefile ===
# General-purpose Makefile for PLINK 1.90
#
# Compilation options:
#   Do not link to LAPACK                    NO_LAPACK

# Leave blank after "=" to disable; put "= 1" to enable
# (when enabled, "#define NOLAPACK" must be uncommented in plink_common.h)
NO_LAPACK =

# Variable that allows additional linker flags (e.g., "-L/path/to/libs") to be
# passed into the linker; to use this, invoke 'make LDFLAGS_EXTRA="<opts>"'.
LDFLAGS_EXTRA =

.PHONY: clean install

# should autodetect system
SYS = UNIX
ifdef SystemRoot
  SYS = WIN
else
  UNAME := $(shell uname)
  ifeq ($(UNAME), Darwin)
    SYS = MAC
  endif
endif

# Allow these to be overridden by make arguments or env variables, so people
# don't have to edit the Makefile to build in a different environment.
BIN ?=		plink
CC ?=		gcc
CXX ?=		g++
CFLAGS ?=	-Wall -O2
CXXFLAGS ?=	-Wall -O2
BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lcblas -latlas
LDFLAGS ?=	-lm -lpthread -ldl
ZLIB ?=		../zlib-1.2.11/libz.so.1.2.11

PREFIX ?=	/usr/local
DESTDIR ?=	.
INSTALL ?=	install
STRIP ?=	strip

ifeq ($(SYS), MAC)
  GCC_GTEQ_43 := $(shell expr `g++ -dumpversion | sed -e 's/\.\([0-9][0-9]\)/\1/g' -e 's/\.\([0-9]\)/0\1/g' -e 's/^[0-9]\{3,4\}$$/&00/'` \>= 40300)
  ifeq "$(GCC_GTEQ_43)" "1"
    CFLAGS ?= -Wall -O2 -flax-vector-conversions
  endif
  BLASFLAGS ?= -framework Accelerate
  LDFLAGS ?= -ldl
  ZLIB ?= ../zlib-1.2.11/libz.1.2.11.dylib
endif

ifeq ($(SYS), WIN)
# Note that, unlike the Linux and Mac build processes, this STATICALLY links
# LAPACK, since we have not gotten around to trying dynamically-linked LAPACK
# on Windows.
# If you don't already have LAPACK built, you'll probably want to turn on
# NO_LAPACK.
  BLASFLAGS ?= -L. lapack/liblapack.a -L. lapack/librefblas.a
  LDFLAGS ?= -lm -static-libgcc
  ZLIB ?= ../zlib-1.2.11/libz.a
endif

ifdef NO_LAPACK
  BLASFLAGS=
endif

OBJS = plink.o plink_assoc.o plink_calc.o plink_cluster.o plink_cnv.o plink_common.o plink_data.o plink_dosage.o plink_family.o plink_filter.o plink_glm.o plink_help.o plink_homozyg.o plink_lasso.o plink_ld.o plink_matrix.o plink_misc.o plink_perm.o plink_rserve.o plink_set.o plink_stats.o SFMT.o dcdflib.o pigz.o yarn.o Rconnection.o hfile.o bgzf.o

# In the event that you are still concurrently using PLINK 1.07, we suggest
# renaming that binary to "plink107", and this one to "plink" or "plink1".

all:	$(BIN)

plink: $(OBJS)
	$(CXX) $(OBJS) $(LDFLAGS_EXTRA) $(BLASFLAGS) $(LDFLAGS) -L. $(ZLIB) -o $@

plinkw: $(OBJS)
	gfortran -O2 $(OBJS) $(LDFLAGS_EXTRA) -Wl,-Bstatic $(BLASFLAGS) $(LDFLAGS) -L. $(ZLIB) -o $@

install:
	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -c $(BIN) $(DESTDIR)$(PREFIX)/bin

install-strip: install
	$(STRIP) $(DESTDIR)$(PREFIX)/bin/$(BIN)

clean:
	rm -f $(OBJS) plink plinkw

# Pattern-based rules for compiling object (.o) files; basically identical to
# GNU make's built-in rules, except we explicitly use "g++" instead of $(CC).

# Compiling C files with a C++ compiler is deprecated, but the code needs
# to be cleaned up before we can switch to cc.  E.g. plink_rserve.c
# includes a C++ header and exposed functions will need to be declared with
# extern "C".
%.o: %.c
	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

%.o: %.cc
	$(CXX) -x c++ -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@

## plink1.9 1.90~b5.2-180109

=== debian/changelog ===
plink1.9 (1.90~b5.2-180109-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.1.3 (no changes needed).
  * Bump debhelper compat 11.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 12 Jan 2018 23:55:41 +0100

plink1.9 (1.90~b5-171114-1) unstable; urgency=medium

  * New upstream release.
  * Remove 01.Fix_Makefile.patch applied upstream.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 30 Nov 2017 22:53:23 +0100

plink1.9 (1.90~b4.9-171013-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.1.1 (no changes needed).
  * Remove trailing whitespace characters in d/changelog.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 03 Nov 2017 00:04:00 +0100

plink1.9 (1.90~b4.7-170906-1) unstable; urgency=medium

  * New upstream release.
  * Add references to registries.
  * Update 01.Fix_Makefile.patch.
  * Bump Standards-Version to 4.1.0.
  * Remove Testsuite field from d/control, now automatically added.
  * cme fix dpkg-control.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 15 Sep 2017 23:53:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: plink1.9
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/plink1.9.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plink1.9.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/plink1.9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/
 
 Package: plink1.9
 Architecture: any-amd64 any-i386 armel armhf mipsel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)
  chips of many individuals and their phenotypical description of a disease.

=== debian/rules ===
#!/usr/bin/make -f

export ZLIB = -lz
export LDFLAGS = -lm -lpthread -ldl `dpkg-buildflags --get LDFLAGS`

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DSTABLE_BUILD -DDYNAMIC_ZLIB

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink1.9
	rm -f plink1.9.1

override_dh_auto_build:
	dh_auto_build
	mv plink plink1.9
	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1

override_dh_auto_install:

override_dh_installman:
	dh_installman plink1.9.1

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.docs/upstream.changelog

## plink1.9 1.90~b6.4-180807

=== debian/changelog ===
plink1.9 (1.90~b6.4-180807-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 22 Aug 2018 18:11:44 +0200

plink1.9 (1.90~b6.3-180717-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.2.0 (no changes needed).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 03 Aug 2018 07:44:29 +0200

plink1.9 (1.90~b6.2-180612-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 04 Jul 2018 22:13:26 +0200

plink1.9 (1.90~b6.1-180528-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 04 Jun 2018 08:05:44 +0200

plink1.9 (1.90~b5.4-180410-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.1.4 (no changes needed).
  * Update VCS to salsa.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 22 Apr 2018 00:50:14 +0200

plink1.9 (1.90~b5.3-180221-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 08 Mar 2018 21:50:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/plink1.9.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/plink1.9.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
+Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/
 
 Package: plink1.9

## plink1.9 1.90~b6.6

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 CXX ?=		g++
 CFLAGS ?=	-Wall -O2
 CXXFLAGS ?=	-Wall -O2
-BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lcblas -latlas
+BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
 LDFLAGS ?=	-lm -lpthread -ldl
 ZLIB ?=		../zlib-1.2.11/libz.so.1.2.11

## plink1.9 1.90~b6.6-181012

=== debian/changelog ===
plink1.9 (1.90~b6.6-181012-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 01 Nov 2018 07:38:21 +0100

plink1.9 (1.90~b6.5-180913-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.2.1 (no changes needed).

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 16 Sep 2018 15:45:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: plink1.9
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~),
@@ -8,7 +8,7 @@
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/

## plink1.9 1.90~b6.9-190304

=== debian/changelog ===
plink1.9 (1.90~b6.9-190304-2) unstable; urgency=medium

  * Bump Standards-Version: 4.4.0 (no changes needed).
  * Buster is released, so upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jul 2019 08:31:41 +0200

plink1.9 (1.90~b6.9-190304-1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright for 2019.
  * Bump Standards-Version: 4.3.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Sat, 30 Mar 2019 13:32:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/

## plink1.9 1.90~b6.15-200121

=== debian/changelog ===
plink1.9 (1.90~b6.15-200121-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Jan 2020 08:03:00 +0100

plink1.9 (1.90~b6.13-191130-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Dec 2019 09:19:18 +0100

plink1.9 (1.90~b6.12-191028-1) unstable; urgency=medium

  * New upstream release.
  * Replace ADTTMP with AUTOPKGTEST_TMP.
  * Switch to debhelper-compat.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 Nov 2019 07:20:09 +0100

plink1.9 (1.90~b6.11-191024-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.4.1 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Oct 2019 22:53:20 +0200

plink1.9 (1.90~b6.10-190617-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Sep 2019 22:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/

## plink1.9 1.90~b6.16

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,6 @@
 CXX ?=		g++
 CFLAGS ?=	-Wall -O2
 CXXFLAGS ?=	-Wall -O2
-BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
-LDFLAGS ?=	-lm -lpthread -ldl
-ZLIB ?=		../zlib-1.2.11/libz.so.1.2.11
 
 PREFIX ?=	/usr/local
 DESTDIR ?=	.
@@ -60,6 +57,11 @@
   LDFLAGS ?= -lm -static-libgcc
   ZLIB ?= ../zlib-1.2.11/libz.a
 endif
+
+# These must appear after the MAC/WIN-specific ?= statements.
+BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
+LDFLAGS ?=	-lm -lpthread -ldl
+ZLIB ?=		../zlib-1.2.11/libz.so.1.2.11
 
 ifdef NO_LAPACK
   BLASFLAGS=

## plink1.9 1.90~b6.16-200217

=== debian/changelog ===
plink1.9 (1.90~b6.16-200217-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.5.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Feb 2020 06:45:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/

=== debian/watch ===
version=4
opts="dversionmangle=s/(\d\S*)\-//,repack,compression=xz" \
 https://www.cog-genomics.org/plink/1.9/dev /static/bin/plink(.*)/plink_src\.zip

## plink1.9 1.90~b6.18-200616

=== debian/changelog ===
plink1.9 (1.90~b6.18-200616-1) unstable; urgency=medium

  * New upstream release.
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Jul 2020 15:51:52 +0200

plink1.9 (1.90~b6.17-200428-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 May 2020 11:36:49 +0200

plink1.9 (1.90~b6.16-200219-1) unstable; urgency=medium

  * New upstream release.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Apr 2020 11:04:31 +0200

## plink1.9 1.90~b6.21

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,9 @@
 BIN ?=		plink
 CC ?=		gcc
 CXX ?=		g++
-CFLAGS ?=	-Wall -O2
-CXXFLAGS ?=	-Wall -O2
+CFLAGS ?=	-Wall -O2 -g -I../2.0/simde
+CXXFLAGS ?=	-Wall -O2 -g -I../2.0/simde
+MACFLAGS ?=	-mmacosx-version-min=10.9
 
 PREFIX ?=	/usr/local
 DESTDIR ?=	.
@@ -42,9 +43,11 @@
   ifeq "$(GCC_GTEQ_43)" "1"
     CFLAGS ?= -Wall -O2 -flax-vector-conversions
   endif
+  CFLAGS += $(MACFLAGS)
+  CXXFLAGS += $(MACFLAGS)
   BLASFLAGS ?= -framework Accelerate
   LDFLAGS ?= -ldl
-  ZLIB ?= ../zlib-1.2.11/libz.1.2.11.dylib
+  ZLIB ?= -L. ../zlib-1.2.11/libz-64.a
 endif
 
 ifeq ($(SYS), WIN)
@@ -55,13 +58,13 @@
 # NO_LAPACK.
   BLASFLAGS ?= -L. lapack/liblapack.a -L. lapack/librefblas.a
   LDFLAGS ?= -lm -static-libgcc
-  ZLIB ?= ../zlib-1.2.11/libz.a
+  ZLIB ?= -L. ../zlib-1.2.11/libz.a
 endif
 
 # These must appear after the MAC/WIN-specific ?= statements.
 BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
 LDFLAGS ?=	-lm -lpthread -ldl
-ZLIB ?=		../zlib-1.2.11/libz.so.1.2.11
+ZLIB ?=		-L. ../zlib-1.2.11/libz.so.1.2.11
 
 ifdef NO_LAPACK
   BLASFLAGS=
@@ -75,10 +78,10 @@
 all:	$(BIN)
 
 plink: $(OBJS)
-	$(CXX) $(OBJS) $(LDFLAGS_EXTRA) $(BLASFLAGS) $(LDFLAGS) -L. $(ZLIB) -o $@
+	$(CXX) $(OBJS) $(LDFLAGS_EXTRA) $(BLASFLAGS) $(LDFLAGS) $(ZLIB) -o $@
 
 plinkw: $(OBJS)
-	gfortran -O2 $(OBJS) $(LDFLAGS_EXTRA) -Wl,-Bstatic $(BLASFLAGS) $(LDFLAGS) -L. $(ZLIB) -o $@
+	gfortran -O2 $(OBJS) $(LDFLAGS_EXTRA) -Wl,-Bstatic $(BLASFLAGS) $(LDFLAGS) $(ZLIB) -o $@
 
 install:
 	$(INSTALL) -d $(DESTDIR)$(PREFIX)/bin
@@ -98,7 +101,7 @@
 # includes a C++ header and exposed functions will need to be declared with
 # extern "C".
 %.o: %.c
-	$(CXX) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
+	$(CXX) -c $(CFLAGS) $< -o $@
 
 %.o: %.cc
-	$(CXX) -x c++ -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@
+	$(CXX) -x c++ -c $(CXXFLAGS) $< -o $@

## plink1.9 1.90~b6.21-201019

=== debian/changelog ===
plink1.9 (1.90~b6.21-201019-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to inject CPPFLAGS flags.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Nov 2020 10:42:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               help2man,
+Build-Depends: debhelper-compat (= 13),
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
@@ -12,6 +11,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/
+Rules-Requires-Root: no
 
 Package: plink1.9
 Architecture: any-amd64 any-i386 armel armhf mipsel

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,16 @@
 override_dh_auto_build:
 	dh_auto_build
 	mv plink plink1.9
-	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1
+# help2man 1.47.13 is not able anymore do generate a clean manpage for plink1.9
+# which lead to several lintian warnings and more annoying the auto-generated
+# manpage is installed by debhelper in the wrong section due to
+# https://bugs.debian.org/958343
+#	help2man --no-discard-stderr --name="whole genome SNP analysis" ./plink1.9 > plink1.9.1
 
 override_dh_auto_install:
 
 override_dh_installman:
-	dh_installman plink1.9.1
+	dh_installman debian/plink1.9.1
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream.docs/upstream.changelog

## plink1.9 1.90~b6.26

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
   CXXFLAGS += $(MACFLAGS)
   BLASFLAGS ?= -framework Accelerate
   LDFLAGS ?= -ldl
-  ZLIB ?= -L. ../zlib-1.2.11/libz-64.a
+  ZLIB ?= -L. ../zlib-1.2.11/libz.a
 endif
 
 ifeq ($(SYS), WIN)

## plink1.9 1.90~b6.26-220402

=== debian/changelog ===
plink1.9 (1.90~b6.26-220402-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Jul 2022 16:23:52 +0200

plink1.9 (1.90~b6.24-211108-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release
  * Upstream provides unversioned download thus we need to read the
    version out of the source code which is done in debian/get-orig-source
    The watch file is deactivated to avoid noise with uscan
  * Standards-Version: 4.6.0 (routine-update)
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 09:20:26 +0100

plink1.9 (1.90~b6.24-210606-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Aug 2021 09:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libatlas-base-dev,
                liblapack-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Track/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

# Upstream provides unversioned download thus we can not create a sensible watch file
# see debian/get-orig-source for downloading the latest upstream version
#opts="dversionmangle=s/(\d\S*)\-//,repack,compression=xz" \
# https://www.cog-genomics.org/plink/1.9/dev /static/bin/plink(.*)/plink_src\.zip

## plink1.9 1.90~b7.2

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 CXX ?=		g++
 CFLAGS ?=	-Wall -O2 -g -I../2.0/simde
 CXXFLAGS ?=	-Wall -O2 -g -I../2.0/simde
-MACFLAGS ?=	-mmacosx-version-min=10.9
+MACFLAGS ?=	-DACCELERATE_NEW_LAPACK
 
 PREFIX ?=	/usr/local
 DESTDIR ?=	.
@@ -47,7 +47,7 @@
   CXXFLAGS += $(MACFLAGS)
   BLASFLAGS ?= -framework Accelerate
   LDFLAGS ?= -ldl
-  ZLIB ?= -L. ../zlib-1.2.11/libz.a
+  ZLIB ?= -L. ../zlib-1.3/libz.a
 endif
 
 ifeq ($(SYS), WIN)
@@ -58,13 +58,13 @@
 # NO_LAPACK.
   BLASFLAGS ?= -L. lapack/liblapack.a -L. lapack/librefblas.a
   LDFLAGS ?= -lm -static-libgcc
-  ZLIB ?= -L. ../zlib-1.2.11/libz.a
+  ZLIB ?= -L. ../zlib-1.3/libz.a
 endif
 
 # These must appear after the MAC/WIN-specific ?= statements.
 BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
 LDFLAGS ?=	-lm -lpthread -ldl
-ZLIB ?=		-L. ../zlib-1.2.11/libz.so.1.2.11
+ZLIB ?=		-L. ../zlib-1.3/libz.so.1.3
 
 ifdef NO_LAPACK
   BLASFLAGS=

## plink1.9 1.90~b7.2-231211

=== debian/changelog ===
plink1.9 (1.90~b7.2-231211-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Do not Build-Depends on atlas
    Closes: #1056682
  * Fix debian/get-orig-source
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 16:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libatlas-base-dev,
-               liblapack-dev,
+               libblas-dev | libblas.so,
+               liblapack-dev | liblapack.so,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/
@@ -17,6 +17,7 @@
 Architecture: any-amd64 any-i386 armel armhf mipsel
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libopenblas0 | libblis4
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)
  chips of many individuals and their phenotypical description of a disease.

## plink1.9 1.90~b7.7

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
   CXXFLAGS += $(MACFLAGS)
   BLASFLAGS ?= -framework Accelerate
   LDFLAGS ?= -ldl
-  ZLIB ?= -L. ../zlib-1.3/libz.a
+  ZLIB ?= -L. ../zlib-1.3.1/libz.a
 endif
 
 ifeq ($(SYS), WIN)
@@ -58,13 +58,13 @@
 # NO_LAPACK.
   BLASFLAGS ?= -L. lapack/liblapack.a -L. lapack/librefblas.a
   LDFLAGS ?= -lm -static-libgcc
-  ZLIB ?= -L. ../zlib-1.3/libz.a
+  ZLIB ?= -L. ../zlib-1.3.1/libz.a
 endif
 
 # These must appear after the MAC/WIN-specific ?= statements.
 BLASFLAGS ?=	-L/usr/lib64/atlas -llapack -lblas -lcblas -latlas
 LDFLAGS ?=	-lm -lpthread -ldl
-ZLIB ?=		-L. ../zlib-1.3/libz.so.1.3
+ZLIB ?=		-L. ../zlib-1.3.1/libz.so.1.3.1
 
 ifdef NO_LAPACK
   BLASFLAGS=

## plink1.9 1.90~b7.7-241022

=== debian/changelog ===
plink1.9 (1.90~b7.7-241022-2) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on libsimde-dev.
  * handle-sse2.patch: use the system's libsimde-dev.
  * d/control: append support for architecture arm64.  (Closes: #1105180)
  * d/{control,rules}: populate Built-Using with simde version.
    This is needed for GPL-3 compliance.
  * d/copyright: update the FSF contact address.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Tue, 13 May 2025 20:32:04 +0200

plink1.9 (1.90~b7.7-241022-1) unstable; urgency=medium

  * New upstream version 1.90~b7.7-241022
  * Refresh patches
  * Update upstream changelog
  * Fix DEP3 header
  * Standards-Version: 4.7.0 (no changes needed)
  * Add more metadata in upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2025 15:31:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,24 @@
 Build-Depends: debhelper-compat (= 13),
                libblas-dev | libblas.so,
                liblapack-dev | liblapack.so,
+               libsimde-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/plink1-9
 Vcs-Git: https://salsa.debian.org/med-team/plink1-9.git
 Homepage: https://www.cog-genomics.org/plink/1.9/
 Rules-Requires-Root: no
 
 Package: plink1.9
-Architecture: any-amd64 any-i386 armel armhf mipsel
+# FIXME: since enabling the ability to use simde, it may be possible to
+# extend to Architecture: any, but it may be preferrable to wait for
+# after forky release, in order to avoid running into build success
+# resulting in autopkgtest failures.
+Architecture: any-amd64 any-i386 arm64 armel armhf mipsel
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libopenblas0 | libblis4
+Built-Using: ${simde:Built-Using}
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)
  chips of many individuals and their phenotypical description of a disease.

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,15 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/upstream.docs/upstream.changelog
+
+SIMDE_VERSION=$(shell \
+	dpkg-query \
+		-f '$${source:Package} (= $${source:Version}), ' \
+		-W "libsimde-dev" \
+)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vsimde:Built-Using="$(SIMDE_VERSION)"
+
+# Upstream provides unversioned download thus we need to read the version out of the source code
+get-orig-source:
+	. debian/get-orig-source
